{% extends 'base.html' %}

{% block content %}
    <main>
        <div>
            <h1>Projects</h1>
            {% for project in projects %}
                <div>
                    <h2>
                        <a href="{% url 'projects:create_project' %}">Create Project</a>
                    </h2>
                    <p>{{ project.description }}</p>
                    <p>Number of tasks: {{ project.tasks.all|length }}</p>
                </div>
            {% empty %}
                <p>No projects</p>
            {% endfor %}
            <a href="{% url 'projects:create_project
